# Netflow/IPFIX/sFlow (UDP)

NetObserv Flow receives IPFIX, Netflow and sFlow network flow records and telemetry over UDP. By default the collector listens on all interfaces of the system where it is running. However it can be configured to listen on only a specific interface. The default UDP listening port is `9995`, which can also be configured.

It is recommended that the collector be configured to request a larger than default receive buffer size. The size, in bytes, that the collector will request be created by the operating system kernel is configurable. If this value exceeds the maximum allowed buffer size (`net.core.rmem_max` on Linux), the maximum allowed size is used.

Received UDP PDUs are queued prior to being processed by an available decoder. This allows the collector to better handle temporary spikes of received packets without losing data. The default size of the queue is `512`. This can be overridden using `EF_FLOW_PACKET_STREAM_MAX_SIZE`.

#### EF\_FLOW\_SERVER\_UDP\_IP

NetObserv Flow receives network flow records over UDP. This setting specifies the IP address of the interface on which the collector will listen.

* Valid Values
  * `0.0.0.0` or any valid IP address to which the UDP socket can be bound.
* Default
  * `0.0.0.0` (listen on all interfaces)

#### EF\_FLOW\_SERVER\_UDP\_PORT

The UDP port(s) on which the collector will create a socket to receive incoming packets. Multiple ports may be specified, separated by a comma. For example `2055,6343,4739`

* Valid Values
  * Any valid port number. Common values include:
    * `2055`: the standard port for Netflow
    * `4739`: the standard port for IPFIX
    * `6343`: the standard port for sFlow
    * `9995-9998`: commonly use port numbers
* Default
  * `2055,4739,6343,9995`

#### EF\_FLOW\_SERVER\_UDP\_READ\_BUFFER\_MAX\_SIZE

The size, in bytes, of the UDP receive buffer that the UDP server will request be created by the operating system kernel when the socket is created. If this value exceeds the maximum allowed buffer size (`net.core.rmem_max` on Linux), the maximum allowed size is used.

* Default
  * `33554432`

#### EF\_FLOW\_PACKET\_STREAM\_MAX\_SIZE

Received UDP PDUs are queued prior to being processed by an available decoder. This value specifies the size of the queue as a quantity of PDUs.

* Default
  * `512`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elastiflow.com/flowcoll/configuration/inputs/input_udp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
